import { keepPreviousData, queryOptions } from "@tanstack/react-query";
import axios from "axios";

export function getScannerIds() {
	return queryOptions({
		queryKey: ["getScannerIds"],
		queryFn: () => fetch(),
		staleTime: 5000,
		refetchOnWindowFocus: true,
		placeholderData: keepPreviousData,
	});
}

const fetch = async () => {
	if (window.location.hostname === "localhost") {
		await new Promise((res) => setTimeout(res, 1500));
	}

	const { data } = await axios.get("/lst/api/mobile/available", {
		withCredentials: true,
		timeout: 5000,
	});

	return data.data;
};
